curl --request GET \
--url https://api.example.com/v2/bank-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"archived": true,
"bank": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"color": "<string>",
"name": "<string>",
"countries": [
"<string>"
],
"archived": true,
"remote_logo": "<string>",
"website": "<string>",
"routing_numbers": [
{}
],
"object": "<string>"
},
"currency": "ADP",
"erp_account_id": "<string>",
"erp_account_number": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"last_transaction_sync_at": "2023-11-07T05:31:56Z",
"ledger_account": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"classification": "asset",
"currency": "ADP",
"current_balance": "<string>",
"description": "<string>",
"is_active": true,
"is_direct_posting_enabled": true,
"name": "<string>",
"number": "<string>",
"parent_account_id": "<string>",
"remote_id": "<string>",
"subtype": "<string>",
"type": "<string>",
"object": "<string>"
},
"linked_integration_id": "<string>",
"iban": "<string>",
"mask": "<string>",
"name": "<string>",
"nickname": "<string>",
"official_name": "<string>",
"party_name": "<string>",
"remote_id": "<string>",
"remote_data": {},
"routing_number": "<string>",
"sync_status": "partial",
"timezone": "Africa/Abidjan",
"type": "cash_management",
"object": "<string>"
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}List Bank Accounts
List Bank Accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, 0 indexed.
x >= 0Number of records per page.
1 <= x <= 500Response
Successful Response
Whether the bank account is archived or not
Show child attributes
Show child attributes
The 3 character ISO 4217 currency code.
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARL, ARM, ARP, ARS, ATS, AUD, AWG, AZM, AZN, BAD, BAM, BAN, BBD, BDT, BEC, BEF, BEL, BGL, BGM, BGN, BGO, BHD, BIF, BMD, BND, BOB, BOL, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BRZ, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHE, CHF, CHW, CLE, CLF, CLP, CNH, CNX, CNY, COP, COU, CRC, CSD, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHS, GIP, GMD, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRH, KRO, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MAF, MCF, MDC, MDL, MGA, MGF, MKD, MKN, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVP, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLE, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGX, USD, USN, USS, UYI, UYP, UYU, UYW, UZS, VEB, VED, VEF, VES, VND, VNN, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, YUR, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWD, ZWL, ZWR The ID of the ERP bank account associated with this bank account.
The ERP number of the account.
The last time transactions were synced.
The ID of the G/L account associated with this bank account.
Show child attributes
Show child attributes
The IBAN of the bank account.
The last 2-4 alphanumeric characters of an account's official account number.
The name of the account. If not assigned by the user, defaults to the name given by the financial institution itself
The name of the account assigned by the financial institution.
The legal name of the entity which owns the account.
The external ID of the bank account. Only exists if this account is related to a bank feed connection.
The original object returned from the third party
The bank's routing number.
The sync status for the bank account.
partial, syncing, synced, failed IANA canonical timezone.
Africa/Abidjan, Africa/Cairo, Africa/Johannesburg, Africa/Lagos, Africa/Maputo, Africa/Nairobi, Africa/Tripoli, America/Adak, America/Anchorage, America/Argentina/Buenos_Aires, America/Argentina/Catamarca, America/Argentina/Cordoba, America/Argentina/Jujuy, America/Argentina/Mendoza, America/Chicago, America/Denver, America/Detroit, America/Edmonton, America/Halifax, America/Havana, America/Indiana/Indianapolis, America/Indiana/Knox, America/Iqaluit, America/Jamaica, America/Kentucky/Louisville, America/Los_Angeles, America/Manaus, America/Mazatlan, America/Mexico_City, America/New_York, America/Noronha, America/Nuuk, America/Panama, America/Phoenix, America/Puerto_Rico, America/Regina, America/Rio_Branco, America/Santiago, America/Sao_Paulo, America/St_Johns, America/Tijuana, America/Toronto, America/Vancouver, America/Whitehorse, America/Winnipeg, Asia/Ashgabat, Asia/Bangkok, Asia/Dhaka, Asia/Dubai, Asia/Ho_Chi_Minh, Asia/Hong_Kong, Asia/Jerusalem, Asia/Kathmandu, Asia/Kolkata, Asia/Kuching, Asia/Macau, Asia/Makassar, Asia/Nicosia, Asia/Qatar, Asia/Riyadh, Asia/Seoul, Asia/Shanghai, Asia/Singapore, Asia/Taipei, Asia/Tehran, Asia/Thimphu, Asia/Tokyo, Asia/Ulaanbaatar, Asia/Urumqi, Asia/Yangon, Atlantic/Faroe, Australia/Adelaide, Australia/Brisbane, Australia/Broken_Hill, Australia/Darwin, Australia/Hobart, Australia/Lord_Howe, Australia/Melbourne, Australia/Perth, Australia/Sydney, Etc/GMT, Etc/UTC, Europe/Athens, Europe/Belgrade, Europe/Berlin, Europe/Brussels, Europe/Chisinau, Europe/Dublin, Europe/Helsinki, Europe/Istanbul, Europe/Kyiv, Europe/Lisbon, Europe/London, Europe/Moscow, Europe/Paris, Europe/Prague, Europe/Rome, Europe/Warsaw, Europe/Zurich, Indian/Maldives, Pacific/Auckland, Pacific/Chatham, Pacific/Easter, Pacific/Guadalcanal, Pacific/Guam, Pacific/Honolulu, Pacific/Kanton, Pacific/Kwajalein, Pacific/Pago_Pago, Pacific/Port_Moresby, Pacific/Tarawa 1The type of bank account.
cash_management, checking, savings, cd, money_market, paypal, other String representing the object's type. Objects of the same type share the same value.
